[arch-commits] Commit in python-invoke/repos/community-testing-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Aug 1 18:38:04 UTC 2018


    Date: Wednesday, August 1, 2018 @ 18:38:03
  Author: felixonmars
Revision: 367191

archrelease: copy trunk to community-testing-any

Added:
  python-invoke/repos/community-testing-any/PKGBUILD
    (from rev 367190, python-invoke/trunk/PKGBUILD)
Deleted:
  python-invoke/repos/community-testing-any/PKGBUILD

----------+
 PKGBUILD |  112 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 56 insertions(+), 56 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-08-01 18:37:40 UTC (rev 367190)
+++ PKGBUILD	2018-08-01 18:38:03 UTC (rev 367191)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-invoke
-pkgname=(python-invoke python2-invoke)
-pkgver=1.1.0
-pkgrel=3
-pkgdesc="Pythonic task execution"
-url="https://github.com/pyinvoke/invoke"
-license=('BSD')
-arch=('any')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
-              'python-pytest-relaxed' 'python2-pytest-relaxed')
-source=("https://pypi.io/packages/source/i/invoke/invoke-$pkgver.tar.gz")
-sha512sums=('6b8ebee7d2dd68fe0134491b15a3b85fd6d1493c5b81f00ba577c6bcf3e4a264d74f68bdd0d40a4c5bdde18c021395ee335d10dde8e676bc9efb313e1ae9b55c')
-
-prepare() {
-  cp -a invoke-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/invoke-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/invoke-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/invoke-$pkgver
-  python setup.py pytest || warning "Tests failed"
-
-  cd "$srcdir"/invoke-$pkgver-py2
-  python2 setup.py pytest || warning "Tests failed"
-}
-
-package_python-invoke() {
-  depends=('python')
-
-  cd invoke-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-invoke() {
-  depends=('python2')
-
-  cd invoke-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  for _exe in "$pkgdir"/usr/bin/*; do
-    mv "$_exe"{,2}
-  done
-}

Copied: python-invoke/repos/community-testing-any/PKGBUILD (from rev 367190, python-invoke/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-08-01 18:38:03 UTC (rev 367191)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-invoke
+pkgname=(python-invoke python2-invoke)
+pkgver=1.1.1
+pkgrel=1
+pkgdesc="Pythonic task execution"
+url="https://github.com/pyinvoke/invoke"
+license=('BSD')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
+              'python-pytest-relaxed' 'python2-pytest-relaxed')
+source=("https://pypi.io/packages/source/i/invoke/invoke-$pkgver.tar.gz")
+sha512sums=('2dabf88428a53f244cab45cbc073b3a91fea5dd97a7590a58701a32bfaa14a4afe5d6a2e4ff4ed03ae38e1dfecc5a7c0f811bb18313e0af1f4e116f56c5e9ba7')
+
+prepare() {
+  cp -a invoke-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/invoke-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/invoke-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-invoke() {
+  depends=('python')
+
+  cd invoke-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-invoke() {
+  depends=('python2')
+
+  cd invoke-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  for _exe in "$pkgdir"/usr/bin/*; do
+    mv "$_exe"{,2}
+  done
+}



More information about the arch-commits mailing list